<?PHP
include('header.php');
if(isset($_POST["usid"]) && intval(strip_tags(trim($_POST["usid"])))) { 
$usid = intval(strip_tags(trim($_POST["usid"])));
}else{
$id_null = (isset($id_user) && $id_user != false) ? $id_user : '1';
$usid = (isset($_GET["usid"]) && preg_match("|^[\d]{1,11}$|", strip_tags(trim($_GET["usid"])))) ? intval(strip_tags(trim($_GET["usid"]))) : $id_null;
}
$sql = mysql_query("SELECT * FROM `b_users` WHERE `id`='$usid'") or die(mysql_error());
if(mysql_num_rows($sql) > 0){
$row = mysql_fetch_assoc($sql);
if($_SERVER["REMOTE_ADDR"] == "127.0.0.1" OR $row["country"] == NULL){
$country = "ru";
}else{
$country = $row["country"];
}
$osql = mysql_query("SELECT `idus` FROM `b_online` WHERE `idus`='$usid'") or die(mysql_error());
echo <<<HTML
 <span class='top-bl-s-verh'>Стена пользователя</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'><form method='POST'><b>Найти пользователя по ID:</b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
<input class='box' type='text' name='usid' value='' size='25' maxlength='11'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type='submit' value='Найти' class='button-green4' style='height:26px;'></form>
</td></tr>
</table>
HTML;
echo "
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='20%' rowspan='7' align='center' valign='top'>
<center>
";
$osql = mysql_query("SELECT `idus` FROM `b_online` WHERE `idus`='$usid'") or die(mysql_error());
if(mysql_num_rows($osql) > 0){$online_img = "<img src='/css/images/online.png' align='absmiddle' title='Online'>";}else{$online_img = "<img src='/css/images/offline.png' align='absmiddle' title='Offline'>";}
echo "
<div align='center' style='background: url(../images/avbg.png) no-repeat; padding: 2px 0px 0px 0px; width: 78px; height:70px;'>
<img src='/avp/".$row["avatar"]."' width='62' height='62' border='0' alt='' title='Пользователь ";
echo ucfirst($row["username"]);
echo " '>
</div><br />
<a class='reputation2'>";
echo $row["reyting"];
echo "</a>
</center></td>
<td width='35%'>ID пользователя</td>
<td class=value width='45%'><b>";
echo $row["id"];
echo "</b></td>
<td class=value width='5%'>$online_img
</td></tr>
<tr></td>
<td width='35%'>Логин</td>
<td class=value width='45%'>";
echo ucfirst($row["username"]);
echo "</td>
<td class=value width='5%'><a href='/mail.php?p=4&to=";
echo $row["id"];
echo " '><div class='tsk-mail'></div></a>
</td></tr>
<tr>
<td width='35%'>Дата регистрации</td>
<td class=value width='45%'>
<font style='color: red;'>";
echo date("d-m-Y H:i",$row["joindate_str"]);
echo "</font>
</td>
<td class=value width='5%'>
</td></tr>
<tr>
<td>Дата активности</td>
<td class=value><font style='color: Green;'>";
$today = date("d.m.Y");
if($today == $row["lastlogdate"]) {
echo "Сегодня в ".date("H:i",$row["lastlogdate_str"]);
}elseif($row["lastlogdate"] == ''){
echo "Еще не заходил";
}else{
echo date("d-m-Y H:i",$row["lastlogdate_str"]);
}
echo "</font></td>
<td class=value></td></tr>
<tr>
<td>Реферер</td>
<td class=value><b>";
if($row["referer"] == 0){echo "Нет";}else{echo "ID: ";echo $row["referer"];}
echo "</b></td>
<td class=value></td></tr>
<tr>
<td>Рефералов</td>
<td class=value>".count_referals($row["id"])." человек</td>
<td class=value></td></tr>
<tr>
<td>Выплачено средств</td>
<td class=value><font style='color: Green;'><b>";
echo $row["paid"];
echo " Руб.</b></font></td>
<td class=value></td></tr>
<tr>
<td class=value><center>";
$sqll = mysql_query("SELECT `referer` FROM `b_users` WHERE `id`='".$_SESSION["iduser"]."'") or die(mysql_error());
$roww = mysql_fetch_assoc($sqll);
if($id_user != false AND $roww["referer"] == 0 AND $id_user != $usid){
echo "<a href='javascript:void(0);' onclick='add_referer();' class='button-green44'>Стать реф.</a>";
}
echo "</center></td>
<td colspan='3'><center>Авто реф-бэк всем присоединившимся рефералам: <font color='red'><b>";
echo $row["new_rb"] ;
echo " %</b></font></center></td>
</tr>
</table>";

require('statistika/stat_diogram_1.php');
initstat($usid,0); 

}else{
echo $infsterr."Нет такого пользователя".$infederr;include('footer.php');exit();
}
unset($sql,$row);

echo "";
#количество отзывов
$comm_good = mysql_num_rows(mysql_query("SELECT `id` FROM `b_comment` WHERE `id_to`='$usid' AND `what`='1'"));
$comm_bad = mysql_num_rows(mysql_query("SELECT `id` FROM `b_comment` WHERE `id_to`='$usid' AND `what`='2'"));

echo "<table width='100%' border='0'>
  <tr>
    <td width='30%' align='center'><div class='good'>$comm_good шт.</div></td>
    <td width='40%' align='center'>";
$coun_reyt2 = mysql_result(mysql_query("SELECT `min_reyt` FROM `b_status` WHERE `id`='2'"),0,0);
$num_comm = mysql_num_rows(mysql_query("SELECT `id` FROM `b_comment` WHERE `id_from`='$id_user' AND `id_to`='$usid'"));
if($id_user != false){
if(($id_user != $usid AND $reyting >= $coun_reyt2 AND $num_comm == 0) OR ($user_status == "admin")){
echo "
	<a href='javascript:popup();' class='button-green' style='margin-left:30px;'>Добавить отзыв</a></td>";
echo "<div id='dialog-overlay'></div>";
echo "<div id='dialog-box'>";
echo "<div class='dialog-content'>";
echo "<div id='dialog-message' style='min-height:100px;text-align:center;'>";
echo "<b>Введите текст отзыва</b> (Осталось символов: <span id='counter' style='font-weight: bold;'></span>)<br>";
echo "<textarea cols='34' rows='5' id='comm-text' style='resize: none;'></textarea>";
echo "<div style='width:300px;height:55px;white-space:nowrap;overflow-x:auto;overflow-y:hidden;'>";
for($x = 1; $x <= 50; $x++){
echo '<img class="smile" src="/css/img/smille/'.$x.'.gif" alt="[:'.$x.':]">';
}
echo "</div>";
echo "<img src='/css/images/good-comm.png' title='Положительный'> <input type='radio' name='comm-what' value='1' checked> <img src='/css/images/bad-comm.png' title='Отрицательный'> <input type='radio' name='comm-what' value='2'>";
echo "</div>";
echo "<div href='javascript:void(0);' onclick='add_comment();' class='button-modal' style='float:left;'>Добавить</div> <div href='javascript:void(0);' class='button-modal' id='modal-close' style='float:right;'>Закрыть</div>";
echo "</div></div>";
} }
echo " <td width='30%' align='center'><div class='bad'>$comm_bad шт.</div></td>
  </tr>
</table>";
#вывод отзывов
echo "<table class='us-wall-tab' id='comm_us'>";
echo "<tr><td colspan='3' style='border-bottom: 1px solid #ccc;padding-bottom:5px;'></td></tr>";
$coun_reyt3 = mysql_result(mysql_query("SELECT `min_reyt` FROM `b_status` WHERE `id`='3'"),0,0);
$coun_reyt4 = mysql_result(mysql_query("SELECT `min_reyt` FROM `b_status` WHERE `id`='4'"),0,0);
$count_limit = 5;
$sql = mysql_query("SELECT * FROM `b_comment` WHERE `id_to`='$usid' ORDER BY `id` DESC") or die(mysql_error());
$num_rows = mysql_num_rows($sql);
if($num_rows > 0){
$counter = 0;
while(($row = mysql_fetch_assoc($sql)) and ($counter < $count_limit)){
if($id_user != false){
$ad_like = mysql_num_rows(mysql_query("SELECT `id` FROM `b_comment_like` WHERE `id_comm`='".$row["id"]."' AND `id_liker`='$id_user'"));
}

$good_like = mysql_num_rows(mysql_query("SELECT `id` FROM `b_comment_like` WHERE `id_comm`='".$row["id"]."' AND `what`='1'"));
$bad_like = mysql_num_rows(mysql_query("SELECT `id` FROM `b_comment_like` WHERE `id_comm`='".$row["id"]."' AND `what`='2'"));

if($row["what"] == 1) {$bg_color = "#E5F9B1"; $img_comm = "";}else{$bg_color = "#F9CEB1"; $img_comm = "";}
$usql = mysql_query("SELECT * FROM `b_users` WHERE `id`='".$row["id_from"]."'") or die(mysql_error());
$urow = mysql_fetch_assoc($usql);
echo "<tr id='id_comm_".$row["id_from"]."'><td colspan='3'>";
echo "<table class='us-wall-tab'><tr style='border:1px solid #ccc;'>";
echo "<td valign='top' align='center' width='100px;'><a href='/users-".$urow["id"]."-wall.html'><span style='color:#8DC109;font-weight: bold;'>".ucfirst($urow["username"])."</span></a>";
echo "<td><div style='text-align:left;margin-left:5px;color:#EF47DE;'>Отзыв добавлен: <b>".date("H:i d-m-Y",$row["date"])."</b> $img_comm</div></td>";
echo "<td align='right'>(<span id='good-".$row["id"]."' style='color:#609046;cursor:help;' title='Положительных'><b>$good_like</b></span>) ";
if($id_user != false AND $ad_like == 0){ echo "<span id='like-1-".$row["id"]."' style='cursor:pointer;' onclick='like_comm(\"".$row["id"]."\",1);'><img src='/css/img/like_g.png' align='absmiddle'></span> ";}
echo "(<span id='bad-".$row["id"]."' style='color:#FF0000;cursor:help;' title='Отрицательных'><b>$bad_like</b></span>) ";
if($id_user != false AND $ad_like == 0){ echo "<span id='like-2-".$row["id"]."' style='cursor:pointer;' onclick='like_comm(\"".$row["id"]."\",2);'><img src='/css/img/like_b.png' align='absmiddle'></span></td>";}
echo "<td width='15px'>";
if($id_user != false){
if(($id_user == $usid AND $reyting >= $coun_reyt4) OR ($user_status == "admin") OR ($id_user == $row["id_from"] AND $reyting >= $coun_reyt3)){
echo "<img src='/css/img/cross.png' title='Удалить отзыв' style='cursor:pointer;' onclick='dell_comment(".$row["id_from"].");' />";
} }
echo "</td>";
echo "</tr><tr>";
echo "<td valign='top' align='center' style='border-bottom: 1px solid #ccc;padding-bottom:5px;'><img src='/avp/".$urow["avatar"]."' border='0' width='60' height='60' alt='avatar' /></td>";
echo "<td valign='top' colspan='3' style='border-bottom: 1px solid #ccc;padding-bottom:5px;'><div style='background:$bg_color;padding:7px;border:1px solid #ccc;border-radius:5px 15px;text-indent: 0.7em;color:#7C2073;'>".nl2br(bbTags(smile($row["text"])))."</div></td>";
echo "</tr></table></td></tr>";
$counter++;
}
}else{
echo "<td colspan='4' align='left'><div style='width:80px;background:#F72525;color:#FFF;padding:5px 20px;border-radius:7px 15px;margin-top:10px;font-weight: bold;' id='comm_null'>Отзывов нет</div></td>";
}
echo "</tr></table>";
if($num_rows > $count_limit){
echo "<div id='load'><a href='javascript:void(0);' class='button-flat-green1'>Загрузить еще</a></div><center><img src='/img/login_loader.gif' id='imgLoad' style='margin-left: 25px;'></center>";
}
?>
<script>
var progress = false;
function hidemsg(){ $('#information').fadeOut('slow'); $("#information").attr("style", ""); if(tm)clearTimeout(tm);}
function add_referer() {
if(!progress){
if(confirm("Вы уверены что хотите стать рефералом?")){
var id = '<?=$usid?>';
$.ajax({
type: "POST", 
url: "/ajax/wall.php", 
data: { 'func' : 'add_referer', 'id' : id },
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Поздравляем!','<b>У Вас тепер есть реферер!</b>',4000,'bottom-right');}
else if(data == 2){ QBinfo('Ошибка:','<b>Такого пользователя нет!</b>',4000,'bottom-right');}
else if(data == 3){ QBinfo('Ошибка:','<b>У Вас уже есть реферер!</b>',4000,'bottom-right');}
else if(data == 4){ QBinfo('Ошибка:','<b>Вы не можете быть рефералом у самого себя!</b>',4500,'bottom-right');}
else if(data == 5){ QBinfo('Ошибка:','<b>Вы не можете быть рефералом у своего реферала!</b>',4500,'bottom-right');}
progress = false;
}
});
}
}
}

function add_comment(){
if(!progress){	
var id_wall = '<?=$usid?>';
var text = $('#comm-text').val();
var commwhat = $('input[name="comm-what"]:checked').val();
$.ajax({
type: "POST", 
url: "/ajax/wall.php", 
data: { 'func' : 'add_comm', 'id_wall' : id_wall, 'text' : text, 'commwhat' : commwhat},
beforeSend: function(){ progress = true; $('#dialog-overlay, #dialog-box').hide();},
success: function(data) {
if(data == 1) { QBinfo('Ошибка!','<b>Нет такого пользователя!</b>',4000,'bottom-right');}
else if(data == 2) { QBinfo('Ошибка!','<b>Ваш статус не позволяет оставлять отзывы!</b>',4000,'bottom-right');}
else if(data == 3) { QBinfo('Ошибка!','<b>Вы не можете оставлять себе отзывы!</b>',4000,'bottom-right');}
else if(data == 4) { QBinfo('Ошибка!','<b>Вы уже оставляли отзыв!</b>',4000,'bottom-right');}
else if(data == 5) { QBinfo('Ошибка!','<b>Из за нарушений Вам отзывы заблокированы!</b>',5000,'bottom-right');}
else{
$("#comm_null").hide('fast');
$(data).hide().insertAfter($("#comm_us tr:first")).slideDown("slow");
QBinfo('Поздравляем!','<b>Отзыв успешно добавлен!</b>',4000,'bottom-right');$('#comm-text').val('');
}
progress = false;
}
});
}
}

function dell_comment(id) {
if(!progress){
if(confirm("Вы уверены что хотите удалить отзыв?")){
$.ajax({
type: "POST", 
url: "/ajax/wall.php", 
data: { 'func' : 'dell_comm', 'id' : id},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Поздравляем!','<b>Отзыв успешно удален!</b>',4000,'bottom-right');$('#id_comm_'+id).remove();}
else if(data == 2) { QBinfo('Ошибка:','<b>Ваш статус не позволяеть удалять отзывы!</b>',4000,'bottom-right');}
else if(data == 3) { QBinfo('Ошибка:','<b>Отзыв не найден или не Ваш отзыв!</b>',4000,'bottom-right');}
progress = false;
}
});
}
}
}

$(document).ready(function () {	
$('#dialog-overlay,#modal-close').click(function () {	
$('#dialog-overlay, #dialog-box').hide();		
return false;
});

$(window).resize(function () {
if (!$('#dialog-box').is(':hidden')) popup();		
});

$("#imgLoad").hide();

$(".smile").click(function(){
var smile = $(this).attr('alt');
var text = $.trim($("#comm-text").val());
$("#comm-text").focus().val(text + ' ' + smile + ' ');
});

});

function popup() {
var maxCount = 150;
var maskHeight = $(document).height();  
var maskWidth = $(window).width();
var dialogTop = $(document).scrollTop() + $(window).height()/2-$("#dialog-box").height()/2;
var dialogLeft = (maskWidth/2) - ($('#dialog-box').width()/2); 
$('#dialog-overlay').css({height:maskHeight, width:maskWidth}).show();
$("#dialog-box").css({"top":dialogTop+"px","display":"block", left:dialogLeft}).show();
$("#counter").html(maxCount);
$("#comm-text").keyup(function() {
var revText = this.value.length;
if (this.value.length > maxCount){ this.value = this.value.substr(0, maxCount);}
var cnt = (maxCount - revText);
if(cnt <= 0){$("#counter").html('0');}
else {$("#counter").html(cnt);}
});
}

var num_comm = 5;
$(function() {
$("#load a").click(function(){ //Выполняем если по кнопке кликнули
var id_wall = '<?=$usid?>';
$("#imgLoad").show(); //Показываем прелоадер
$.ajax({
url: "/ajax/wall.php",
type: "POST",
data: { 'func' : 'load_comm', "num": num_comm, 'id_wall' : id_wall},
cache: false,
success: function(response){
if(response == 0){  // смотрим ответ от сервера и выполняем соответствующее действие
QBinfo('Ошибка:','<b>Больше нет записей!</b>',4000,'bottom-right');
$("#imgLoad").hide();
$("#load").hide();
}else{
$("#comm_us").append(response);
num_comm = num_comm + 5;
$("#imgLoad").hide();
}
}
});
});
});

function like_comm(id, num){
if(!progress){
var good = $.trim($('#good-'+id).text());
var bad = $.trim($('#bad-'+id).text());
good = (good+1)*1;
bad = (bad+1)*1;
$.ajax({
type: "POST", 
url: "/ajax/wall.php", 
data: { 'func' : 'like_comm', 'id' : id, 'num' : num},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1){
QBinfo('Ошибка:','<b>Вы не можете себе ставить лайки!</b>',4000,'bottom-right');
}else{
if(num == 1){
$('#good-'+id).html(good);
$('#like-1-'+id).remove();
$('#like-2-'+id).remove();
}else{
$('#bad-'+id).html(bad);
$('#like-1-'+id).remove();
$('#like-2-'+id).remove();
}
}
progress = false;
}
});
}
}
</script><br />
</div>
<?PHP include('footer.php');?>